# Sorting
A program written to test the time complexity of insertion, merge, and heap sort

# Author
Gregory Crawford

# Compiling
Run `make` to compile the project.
Output files get placed into test/SORTED

# Running
Run `bin/main.out` with chosen arguments to run program

# Commands
## bin/main.out [-a | -f filename | -d]
Ex: `bin/main.out -f test/PERM/perm15K.txt -s merge`

# Arguments
## File selection
> -a OR --all
- Runs through all the original files (perm15K.txt - perm150K.txt)
  - *EX: bin/main.out -a*
> -f path/to/file.txt OR --filename path/to/file.txt
- Runs a specific file to sort
  - *EX: bin/main.out -f perm15K.txt*
> -d OR --default (**default**)
- Runs sort only on the default test file (perm15K.txt)
  - *EX: bin/main.out -d*
## Sorting type selection
> -s | --sort-type
  - Selects a sort type
  - Options:
      - insertion
        - *EX: bin/main.out -s insertion*
      - merge
        - *EX: bin/main.out -s merge*
      - heap
        - *EX: bin/main.out -s heap*
      - all (**default**)
        - *EX: bin/main.out -s all*

# Notes
